package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamOrgEntity;

public interface ExamOrgRepo
		extends
			JpaRepository<ExamOrgEntity, Long>,
			QueryByExampleExecutor<ExamOrgEntity> {

	@Transactional
	@Modifying
	@Query("delete from ExamOrgEntity where examId = ?1")
	void deleteByExamId(Long examId);

	List<ExamOrgEntity> findAllByExamId(Long examId, Pageable pageable);

	List<ExamOrgEntity> findAllByExamIdAndOrgId(Long examId, Long orgId, Pageable pageable);

}
